Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rs
Interface RegistryPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RegistryPackageImpl

    public interface RegistryPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

The schema for OASIS ebXML Registry Services The schema for OASIS ebXML Registry Information Model See http://www.w3.org/XML/1998/namespace.html and http://www.w3.org/TR/REC-xml for information about this namespace. This schema document describes the XML namespace, in a form suitable for import by other schema documents. Note that local names in this namespace are intended to be defined only by the World Wide Web Consortium or its subgroups. The following names are currently defined in this namespace and should not be used with conflicting semantics by any Working Group, specification, or document instance: base (as an attribute name): denotes an attribute whose value provides a URI to be used as the base for interpreting any relative URIs in the scope of the element on which it appears; its value is inherited. This name is reserved by virtue of its definition in the XML Base specification. id (as an attribute name): denotes an attribute whose value should be interpreted as if declared to be of type ID. The xml:id specification is not yet a W3C Recommendation, but this attribute is included here to facilitate experimentation with the mechanisms it proposes. Note that it is _not_ included in the specialAttrs attribute group. lang (as an attribute name): denotes an attribute whose value is a language code for the natural language of the content of any element; its value is inherited. This name is reserved by virtue of its definition in the XML specification. space (as an attribute name): denotes an attribute whose value is a keyword indicating what whitespace processing discipline is intended for the content of the element; its value is inherited. This name is reserved by virtue of its definition in the XML specification. Father (in any context at all): denotes Jon Bosak, the chair of the original XML Working Group. This name is reserved by the following decision of the W3C XML Plenary and XML Coordination groups: In appreciation for his vision, leadership and dedication the W3C XML Plenary on this 10th day of February, 2000 reserves for Jon Bosak in perpetuity the XML name xml:Father This schema defines attributes and an attribute group suitable for use by schemas wishing to allow xml:base, xml:lang, xml:space or xml:id attributes on elements they define. To enable this, such a schema must import this schema for the XML namespace, e.g. as follows: <schema . . .> . . . <import namespace="http://www.w3.org/XML/1998/namespace" schemaLocation="http://www.w3.org/2001/xml.xsd"/> Subsequently, qualified reference to any of the attributes or the group defined below will have the desired effect, e.g. <type . . .> . . . <attributeGroup ref="xml:specialAttrs"/> will define a type which will schema-validate an instance element with any of those attributes In keeping with the XML Schema WG's standard versioning policy, this schema document will persist at http://www.w3.org/2005/08/xml.xsd. At the date of issue it can also be found at http://www.w3.org/2001/xml.xsd. The schema document at that URI may however change in the future, in order to remain compatible with the latest version of XML Schema itself, or with the XML namespace itself. In other words, if the XML Schema or XML namespaces change, the version of this document at http://www.w3.org/2001/xml.xsd will change accordingly; the version at http://www.w3.org/2005/08/xml.xsd will not change.

See Also:
  `RegistryFactory`

Nested Class Summary
`static interface` | `RegistryPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `DOCUMENT_ROOT` The meta object id for the '`Document Root`' class.
`static int` | `DOCUMENT_ROOT__MIXED` The feature id for the 'Mixed' attribute list.
`static int` | `DOCUMENT_ROOT__REGISTRY_ERROR` The feature id for the 'Registry Error' containment reference.
`static int` | `DOCUMENT_ROOT__REGISTRY_ERROR_LIST` The feature id for the 'Registry Error List' containment reference.
`static int` | `DOCUMENT_ROOT__REGISTRY_REQUEST` The feature id for the 'Registry Request' containment reference.
`static int` | `DOCUMENT_ROOT__REGISTRY_RESPONSE` The feature id for the 'Registry Response' containment reference.
`static int` | `DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The feature id for the 'XMLNS Prefix Map' map.
`static int` | `DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The feature id for the 'XSI Schema Location' map.
`static int` | `DOCUMENT_ROOT_FEATURE_COUNT` The number of structural features of the 'Document Root' class.
`static RegistryPackage` | `eINSTANCE` The singleton instance of the package.
`static java.lang.String` | `eNAME` The package name.
`static java.lang.String` | `eNS_PREFIX` The package namespace name.
`static java.lang.String` | `eNS_URI` The package namespace URI.
`static int` | `REGISTRY_ERROR_LIST_TYPE` The meta object id for the '`Error List Type`' class.
`static int` | `REGISTRY_ERROR_LIST_TYPE__HIGHEST_SEVERITY` The feature id for the 'Highest Severity' attribute.
`static int` | `REGISTRY_ERROR_LIST_TYPE__REGISTRY_ERROR` The feature id for the 'Registry Error' containment reference list.
`static int` | `REGISTRY_ERROR_LIST_TYPE_FEATURE_COUNT` The number of structural features of the 'Error List Type' class.
`static int` | `REGISTRY_ERROR_TYPE` The meta object id for the '`Error Type`' class.
`static int` | `REGISTRY_ERROR_TYPE__CODE_CONTEXT` The feature id for the 'Code Context' attribute.
`static int` | `REGISTRY_ERROR_TYPE__ERROR_CODE` The feature id for the 'Error Code' attribute.
`static int` | `REGISTRY_ERROR_TYPE__LOCATION` The feature id for the 'Location' attribute.
`static int` | `REGISTRY_ERROR_TYPE__SEVERITY` The feature id for the 'Severity' attribute.
`static int` | `REGISTRY_ERROR_TYPE__VALUE` The feature id for the 'Value' attribute.
`static int` | `REGISTRY_ERROR_TYPE_FEATURE_COUNT` The number of structural features of the 'Error Type' class.
`static int` | `REGISTRY_REQUEST_TYPE` The meta object id for the '`Request Type`' class.
`static int` | `REGISTRY_REQUEST_TYPE__COMMENT` The feature id for the 'Comment' attribute.
`static int` | `REGISTRY_REQUEST_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `REGISTRY_REQUEST_TYPE__REQUEST_SLOT_LIST` The feature id for the 'Request Slot List' containment reference.
`static int` | `REGISTRY_REQUEST_TYPE_FEATURE_COUNT` The number of structural features of the 'Request Type' class.
`static int` | `REGISTRY_RESPONSE_TYPE` The meta object id for the '`Response Type`' class.
`static int` | `REGISTRY_RESPONSE_TYPE__REGISTRY_ERROR_LIST` The feature id for the 'Registry Error List' containment reference.
`static int` | `REGISTRY_RESPONSE_TYPE__REQUEST_ID` The feature id for the 'Request Id' attribute.
`static int` | `REGISTRY_RESPONSE_TYPE__RESPONSE_SLOT_LIST` The feature id for the 'Response Slot List' containment reference.
`static int` | `REGISTRY_RESPONSE_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `REGISTRY_RESPONSE_TYPE_FEATURE_COUNT` The number of structural features of the 'Response Type' class.

Method Summary
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Mixed()` Returns the meta object for the attribute list '`Mixed`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryError()` Returns the meta object for the containment reference '`Registry Error`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryErrorList()` Returns the meta object for the containment reference '`Registry Error List`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryRequest()` Returns the meta object for the containment reference '`Registry Request`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryResponse()` Returns the meta object for the containment reference '`Registry Response`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XMLNSPrefixMap()` Returns the meta object for the map '`XMLNS Prefix Map`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XSISchemaLocation()` Returns the meta object for the map '`XSI Schema Location`'.
`org.eclipse.emf.ecore.EClass` | `getDocumentRoot()` Returns the meta object for class '`Document Root`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorListType_HighestSeverity()` Returns the meta object for the attribute '`Highest Severity`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryErrorListType_RegistryError()` Returns the meta object for the containment reference list '`Registry Error`'.
`org.eclipse.emf.ecore.EClass` | `getRegistryErrorListType()` Returns the meta object for class '`Error List Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorType_CodeContext()` Returns the meta object for the attribute '`Code Context`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorType_ErrorCode()` Returns the meta object for the attribute '`Error Code`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorType_Location()` Returns the meta object for the attribute '`Location`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorType_Severity()` Returns the meta object for the attribute '`Severity`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorType_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` | `getRegistryErrorType()` Returns the meta object for class '`Error Type`'.
`RegistryFactory` | `getRegistryFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryRequestType_Comment()` Returns the meta object for the attribute '`Comment`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryRequestType_Id()` Returns the meta object for the attribute '`Id`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryRequestType_RequestSlotList()` Returns the meta object for the containment reference '`Request Slot List`'.
`org.eclipse.emf.ecore.EClass` | `getRegistryRequestType()` Returns the meta object for class '`Request Type`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryResponseType_RegistryErrorList()` Returns the meta object for the containment reference '`Registry Error List`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryResponseType_RequestId()` Returns the meta object for the attribute '`Request Id`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryResponseType_ResponseSlotList()` Returns the meta object for the containment reference '`Response Slot List`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryResponseType_Status()` Returns the meta object for the attribute '`Status`'.
`org.eclipse.emf.ecore.EClass` | `getRegistryResponseType()` Returns the meta object for class '`Response Type`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final RegistryPackage eINSTANCE

  The singleton instance of the package.

### DOCUMENT_ROOT

    static final int DOCUMENT_ROOT

  The meta object id for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `RegistryPackageImpl.getDocumentRoot()`, Constant Field Values

### DOCUMENT_ROOT__MIXED

    static final int DOCUMENT_ROOT__MIXED

  The feature id for the 'Mixed' attribute list.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final int DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The feature id for the 'XMLNS Prefix Map' map.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final int DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The feature id for the 'XSI Schema Location' map.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY_ERROR

    static final int DOCUMENT_ROOT__REGISTRY_ERROR

  The feature id for the 'Registry Error' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY_ERROR_LIST

    static final int DOCUMENT_ROOT__REGISTRY_ERROR_LIST

  The feature id for the 'Registry Error List' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY_REQUEST

    static final int DOCUMENT_ROOT__REGISTRY_REQUEST

  The feature id for the 'Registry Request' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY_RESPONSE

    static final int DOCUMENT_ROOT__REGISTRY_RESPONSE

  The feature id for the 'Registry Response' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT_FEATURE_COUNT

    static final int DOCUMENT_ROOT_FEATURE_COUNT

  The number of structural features of the 'Document Root' class.

  See Also:
    Constant Field Values

### REGISTRY_ERROR_LIST_TYPE

    static final int REGISTRY_ERROR_LIST_TYPE

  The meta object id for the '`Error List Type`' class.

  See Also:
    `RegistryErrorListTypeImpl`, `RegistryPackageImpl.getRegistryErrorListType()`, Constant Field Values

### REGISTRY_ERROR_LIST_TYPE__REGISTRY_ERROR

    static final int REGISTRY_ERROR_LIST_TYPE__REGISTRY_ERROR

  The feature id for the 'Registry Error' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_ERROR_LIST_TYPE__HIGHEST_SEVERITY

    static final int REGISTRY_ERROR_LIST_TYPE__HIGHEST_SEVERITY

  The feature id for the 'Highest Severity' attribute.

  See Also:
    Constant Field Values

### REGISTRY_ERROR_LIST_TYPE_FEATURE_COUNT

    static final int REGISTRY_ERROR_LIST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Error List Type' class.

  See Also:
    Constant Field Values

### REGISTRY_ERROR_TYPE

    static final int REGISTRY_ERROR_TYPE

  The meta object id for the '`Error Type`' class.

  See Also:
    `RegistryErrorTypeImpl`, `RegistryPackageImpl.getRegistryErrorType()`, Constant Field Values

### REGISTRY_ERROR_TYPE__VALUE

    static final int REGISTRY_ERROR_TYPE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### REGISTRY_ERROR_TYPE__CODE_CONTEXT

    static final int REGISTRY_ERROR_TYPE__CODE_CONTEXT

  The feature id for the 'Code Context' attribute.

  See Also:
    Constant Field Values

### REGISTRY_ERROR_TYPE__ERROR_CODE

    static final int REGISTRY_ERROR_TYPE__ERROR_CODE

  The feature id for the 'Error Code' attribute.

  See Also:
    Constant Field Values

### REGISTRY_ERROR_TYPE__LOCATION

    static final int REGISTRY_ERROR_TYPE__LOCATION

  The feature id for the 'Location' attribute.

  See Also:
    Constant Field Values

### REGISTRY_ERROR_TYPE__SEVERITY

    static final int REGISTRY_ERROR_TYPE__SEVERITY

  The feature id for the 'Severity' attribute.

  See Also:
    Constant Field Values

### REGISTRY_ERROR_TYPE_FEATURE_COUNT

    static final int REGISTRY_ERROR_TYPE_FEATURE_COUNT

  The number of structural features of the 'Error Type' class.

  See Also:
    Constant Field Values

### REGISTRY_REQUEST_TYPE

    static final int REGISTRY_REQUEST_TYPE

  The meta object id for the '`Request Type`' class.

  See Also:
    `RegistryRequestTypeImpl`, `RegistryPackageImpl.getRegistryRequestType()`, Constant Field Values

### REGISTRY_REQUEST_TYPE__REQUEST_SLOT_LIST

    static final int REGISTRY_REQUEST_TYPE__REQUEST_SLOT_LIST

  The feature id for the 'Request Slot List' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_REQUEST_TYPE__COMMENT

    static final int REGISTRY_REQUEST_TYPE__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### REGISTRY_REQUEST_TYPE__ID

    static final int REGISTRY_REQUEST_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### REGISTRY_REQUEST_TYPE_FEATURE_COUNT

    static final int REGISTRY_REQUEST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Request Type' class.

  See Also:
    Constant Field Values

### REGISTRY_RESPONSE_TYPE

    static final int REGISTRY_RESPONSE_TYPE

  The meta object id for the '`Response Type`' class.

  See Also:
    `RegistryResponseTypeImpl`, `RegistryPackageImpl.getRegistryResponseType()`, Constant Field Values

### REGISTRY_RESPONSE_TYPE__RESPONSE_SLOT_LIST

    static final int REGISTRY_RESPONSE_TYPE__RESPONSE_SLOT_LIST

  The feature id for the 'Response Slot List' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_RESPONSE_TYPE__REGISTRY_ERROR_LIST

    static final int REGISTRY_RESPONSE_TYPE__REGISTRY_ERROR_LIST

  The feature id for the 'Registry Error List' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_RESPONSE_TYPE__REQUEST_ID

    static final int REGISTRY_RESPONSE_TYPE__REQUEST_ID

  The feature id for the 'Request Id' attribute.

  See Also:
    Constant Field Values

### REGISTRY_RESPONSE_TYPE__STATUS

    static final int REGISTRY_RESPONSE_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### REGISTRY_RESPONSE_TYPE_FEATURE_COUNT

    static final int REGISTRY_RESPONSE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Response Type' class.

  See Also:
    Constant Field Values

Method Detail

### getDocumentRoot

    org.eclipse.emf.ecore.EClass getDocumentRoot()

  Returns the meta object for class '`Document Root`'.

  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `DocumentRoot`

### getDocumentRoot_Mixed

    org.eclipse.emf.ecore.EAttribute getDocumentRoot_Mixed()

  Returns the meta object for the attribute list '`Mixed`'.

  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `DocumentRoot.getMixed()`, `getDocumentRoot()`

### getDocumentRoot_XMLNSPrefixMap

    org.eclipse.emf.ecore.EReference getDocumentRoot_XMLNSPrefixMap()

  Returns the meta object for the map '`XMLNS Prefix Map`'.

  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `DocumentRoot.getXMLNSPrefixMap()`, `getDocumentRoot()`

### getDocumentRoot_XSISchemaLocation

    org.eclipse.emf.ecore.EReference getDocumentRoot_XSISchemaLocation()

  Returns the meta object for the map '`XSI Schema Location`'.

  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `DocumentRoot.getXSISchemaLocation()`, `getDocumentRoot()`

### getDocumentRoot_RegistryError

    org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryError()

  Returns the meta object for the containment reference '`Registry Error`'.

  Returns:
    the meta object for the containment reference 'Registry Error'.
  See Also:
    `DocumentRoot.getRegistryError()`, `getDocumentRoot()`

### getDocumentRoot_RegistryErrorList

    org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryErrorList()

  Returns the meta object for the containment reference '`Registry Error List`'.

  Returns:
    the meta object for the containment reference 'Registry Error List'.
  See Also:
    `DocumentRoot.getRegistryErrorList()`, `getDocumentRoot()`

### getDocumentRoot_RegistryRequest

    org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryRequest()

  Returns the meta object for the containment reference '`Registry Request`'.

  Returns:
    the meta object for the containment reference 'Registry Request'.
  See Also:
    `DocumentRoot.getRegistryRequest()`, `getDocumentRoot()`

### getDocumentRoot_RegistryResponse

    org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryResponse()

  Returns the meta object for the containment reference '`Registry Response`'.

  Returns:
    the meta object for the containment reference 'Registry Response'.
  See Also:
    `DocumentRoot.getRegistryResponse()`, `getDocumentRoot()`

### getRegistryErrorListType

    org.eclipse.emf.ecore.EClass getRegistryErrorListType()

  Returns the meta object for class '`Error List Type`'.

  Returns:
    the meta object for class 'Error List Type'.
  See Also:
    `RegistryErrorListType`

### getRegistryErrorListType_RegistryError

    org.eclipse.emf.ecore.EReference getRegistryErrorListType_RegistryError()

  Returns the meta object for the containment reference list '`Registry Error`'.

  Returns:
    the meta object for the containment reference list 'Registry Error'.
  See Also:
    `RegistryErrorListType.getRegistryError()`, `getRegistryErrorListType()`

### getRegistryErrorListType_HighestSeverity

    org.eclipse.emf.ecore.EAttribute getRegistryErrorListType_HighestSeverity()

  Returns the meta object for the attribute '`Highest Severity`'.

  Returns:
    the meta object for the attribute 'Highest Severity'.
  See Also:
    `RegistryErrorListType.getHighestSeverity()`, `getRegistryErrorListType()`

### getRegistryErrorType

    org.eclipse.emf.ecore.EClass getRegistryErrorType()

  Returns the meta object for class '`Error Type`'.

  Returns:
    the meta object for class 'Error Type'.
  See Also:
    `RegistryErrorType`

### getRegistryErrorType_Value

    org.eclipse.emf.ecore.EAttribute getRegistryErrorType_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `RegistryErrorType.getValue()`, `getRegistryErrorType()`

### getRegistryErrorType_CodeContext

    org.eclipse.emf.ecore.EAttribute getRegistryErrorType_CodeContext()

  Returns the meta object for the attribute '`Code Context`'.

  Returns:
    the meta object for the attribute 'Code Context'.
  See Also:
    `RegistryErrorType.getCodeContext()`, `getRegistryErrorType()`

### getRegistryErrorType_ErrorCode

    org.eclipse.emf.ecore.EAttribute getRegistryErrorType_ErrorCode()

  Returns the meta object for the attribute '`Error Code`'.

  Returns:
    the meta object for the attribute 'Error Code'.
  See Also:
    `RegistryErrorType.getErrorCode()`, `getRegistryErrorType()`

### getRegistryErrorType_Location

    org.eclipse.emf.ecore.EAttribute getRegistryErrorType_Location()

  Returns the meta object for the attribute '`Location`'.

  Returns:
    the meta object for the attribute 'Location'.
  See Also:
    `RegistryErrorType.getLocation()`, `getRegistryErrorType()`

### getRegistryErrorType_Severity

    org.eclipse.emf.ecore.EAttribute getRegistryErrorType_Severity()

  Returns the meta object for the attribute '`Severity`'.

  Returns:
    the meta object for the attribute 'Severity'.
  See Also:
    `RegistryErrorType.getSeverity()`, `getRegistryErrorType()`

### getRegistryRequestType

    org.eclipse.emf.ecore.EClass getRegistryRequestType()

  Returns the meta object for class '`Request Type`'.

  Returns:
    the meta object for class 'Request Type'.
  See Also:
    `RegistryRequestType`

### getRegistryRequestType_RequestSlotList

    org.eclipse.emf.ecore.EReference getRegistryRequestType_RequestSlotList()

  Returns the meta object for the containment reference '`Request Slot List`'.

  Returns:
    the meta object for the containment reference 'Request Slot List'.
  See Also:
    `RegistryRequestType.getRequestSlotList()`, `getRegistryRequestType()`

### getRegistryRequestType_Comment

    org.eclipse.emf.ecore.EAttribute getRegistryRequestType_Comment()

  Returns the meta object for the attribute '`Comment`'.

  Returns:
    the meta object for the attribute 'Comment'.
  See Also:
    `RegistryRequestType.getComment()`, `getRegistryRequestType()`

### getRegistryRequestType_Id

    org.eclipse.emf.ecore.EAttribute getRegistryRequestType_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `RegistryRequestType.getId()`, `getRegistryRequestType()`

### getRegistryResponseType

    org.eclipse.emf.ecore.EClass getRegistryResponseType()

  Returns the meta object for class '`Response Type`'.

  Returns:
    the meta object for class 'Response Type'.
  See Also:
    `RegistryResponseType`

### getRegistryResponseType_ResponseSlotList

    org.eclipse.emf.ecore.EReference getRegistryResponseType_ResponseSlotList()

  Returns the meta object for the containment reference '`Response Slot List`'.

  Returns:
    the meta object for the containment reference 'Response Slot List'.
  See Also:
    `RegistryResponseType.getResponseSlotList()`, `getRegistryResponseType()`

### getRegistryResponseType_RegistryErrorList

    org.eclipse.emf.ecore.EReference getRegistryResponseType_RegistryErrorList()

  Returns the meta object for the containment reference '`Registry Error List`'.

  Returns:
    the meta object for the containment reference 'Registry Error List'.
  See Also:
    `RegistryResponseType.getRegistryErrorList()`, `getRegistryResponseType()`

### getRegistryResponseType_RequestId

    org.eclipse.emf.ecore.EAttribute getRegistryResponseType_RequestId()

  Returns the meta object for the attribute '`Request Id`'.

  Returns:
    the meta object for the attribute 'Request Id'.
  See Also:
    `RegistryResponseType.getRequestId()`, `getRegistryResponseType()`

### getRegistryResponseType_Status

    org.eclipse.emf.ecore.EAttribute getRegistryResponseType_Status()

  Returns the meta object for the attribute '`Status`'.

  Returns:
    the meta object for the attribute 'Status'.
  See Also:
    `RegistryResponseType.getStatus()`, `getRegistryResponseType()`

### getRegistryFactory

    RegistryFactory getRegistryFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD